# FlowLogsApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                | HTTP request                                                                                | Description                |
| ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- | -------------------------- |
| [**datacentersServersNicsFlowlogsDelete**](#datacentersserversnicsflowlogsdelete)     | **DELETE** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId} | Delete Flow Logs           |
| [**datacentersServersNicsFlowlogsFindById**](#datacentersserversnicsflowlogsfindbyid) | **GET** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId}    | Retrieve Flow Logs         |
| [**datacentersServersNicsFlowlogsGet**](#datacentersserversnicsflowlogsget)           | **GET** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs                | List Flow Logs             |
| [**datacentersServersNicsFlowlogsPatch**](#datacentersserversnicsflowlogspatch)       | **PATCH** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId}  | Partially modify Flow Logs |
| [**datacentersServersNicsFlowlogsPost**](#datacentersserversnicsflowlogspost)         | **POST** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs               | Create a Flow Log          |
| [**datacentersServersNicsFlowlogsPut**](#datacentersserversnicsflowlogsput)           | **PUT** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId}    | Modify Flow Logs           |

## datacentersServersNicsFlowlogsDelete

> datacentersServersNicsFlowlogsDelete(datacenterId, serverId, nicId, flowlogId, opts)

Delete Flow Logs

Delete the specified Flow Log.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.FlowLogsApi(config);
// Delete Flow Logs
api_instance
  .datacentersServersNicsFlowlogsDelete({
    datacenterId: datacenterId_example,
    serverId: serverId_example,
    nicId: nicId_example,
    flowlogId: flowlogId_example,
    pretty: true,
    depth: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name             | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                         |
| ---------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **datacenterId** | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]       |
| **serverId**     | **string**  | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                                  | \[default to undefined]       |
| **nicId**        | **string**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                     | \[default to undefined]       |
| **flowlogId**    | **string**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]       |
| **pretty**       | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true] |
| **depth**        | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]    |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersServersNicsFlowlogsFindById

> datacentersServersNicsFlowlogsFindById(datacenterId, serverId, nicId, flowlogId, opts)

Retrieve Flow Logs

Retrieve the properties of the specified Flow Log.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.FlowLogsApi(config);
// Retrieve Flow Logs
api_instance
  .datacentersServersNicsFlowlogsFindById({
    datacenterId: datacenterId_example,
    serverId: serverId_example,
    nicId: nicId_example,
    flowlogId: flowlogId_example,
    pretty: true,
    depth: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name             | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                         |
| ---------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **datacenterId** | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]       |
| **serverId**     | **string**  | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                                  | \[default to undefined]       |
| **nicId**        | **string**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                     | \[default to undefined]       |
| **flowlogId**    | **string**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]       |
| **pretty**       | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true] |
| **depth**        | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]    |

### Return type

[**FlowLog**](/nodejs-sdk/models/flowlog.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersServersNicsFlowlogsGet

> datacentersServersNicsFlowlogsGet(datacenterId, serverId, nicId, opts)

List Flow Logs

List all the Flow Logs for the specified NIC.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.FlowLogsApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// List Flow Logs
api_instance
  .datacentersServersNicsFlowlogsGet({
    datacenterId: datacenterId_example,
    serverId: serverId_example,
    nicId: nicId_example,
    pretty: true,
    depth: 56,
    offset: 56,
    limit: 56, 
    orderBy: "<property_name>"
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name             | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                         |
| ---------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **datacenterId** | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]       |
| **serverId**     | **string**  | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                                  | \[default to undefined]       |
| **nicId**        | **string**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                     | \[default to undefined]       |
| **pretty**       | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true] |
| **depth**        | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **offset**       | **number**  | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                            | \[optional]\[default to 0]    |
| **limit**        | **number**  | The maximum number of elements to return (use together with offset for pagination).                                                                                                                                                                                                                                                                                                                                                           | \[optional]\[default to 1000] |

### Return type

[**FlowLogs**](/nodejs-sdk/models/flowlogs.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersServersNicsFlowlogsPatch

> datacentersServersNicsFlowlogsPatch(datacenterId, serverId, nicId, flowlogId, flowlog, opts)

Partially modify Flow Logs

Update the specified Flow Log record.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.FlowLogsApi(config);
// Partially modify Flow Logs
api_instance
  .datacentersServersNicsFlowlogsPatch({
    datacenterId: datacenterId_example,
    serverId: serverId_example,
    nicId: nicId_example,
    flowlogId: flowlogId_example,
    flowlog: flowlog_example,
    pretty: true,
    depth: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name             | Type                                                             | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                         |
| ---------------- | ---------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **datacenterId** | **string**                                                       | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]       |
| **serverId**     | **string**                                                       | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                                  | \[default to undefined]       |
| **nicId**        | **string**                                                       | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                     | \[default to undefined]       |
| **flowlogId**    | **string**                                                       | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]       |
| **flowlog**      | [**FlowLogProperties**](/nodejs-sdk/models/flowlogproperties.md) | The Flow Log record to be updated.                                                                                                                                                                                                                                                                                                                                                                                                            |                               |
| **pretty**       | **boolean**                                                      | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true] |
| **depth**        | **number**                                                       | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]    |

### Return type

[**FlowLog**](/nodejs-sdk/models/flowlog.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersServersNicsFlowlogsPost

> datacentersServersNicsFlowlogsPost(datacenterId, serverId, nicId, flowlog, opts)

Create a Flow Log

Adds a new Flow Log for the specified NIC.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.FlowLogsApi(config);
// Create a Flow Log
api_instance
  .datacentersServersNicsFlowlogsPost({
    datacenterId: datacenterId_example,
    serverId: serverId_example,
    nicId: nicId_example,
    flowlog: flowlog_example,
    pretty: true,
    depth: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name             | Type                                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                         |
| ---------------- | -------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **datacenterId** | **string**                                   | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]       |
| **serverId**     | **string**                                   | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                                  | \[default to undefined]       |
| **nicId**        | **string**                                   | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                     | \[default to undefined]       |
| **flowlog**      | [**FlowLog**](/nodejs-sdk/models/flowlog.md) | The Flow Log to create.                                                                                                                                                                                                                                                                                                                                                                                                                       |                               |
| **pretty**       | **boolean**                                  | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true] |
| **depth**        | **number**                                   | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]    |

### Return type

[**FlowLog**](/nodejs-sdk/models/flowlog.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersServersNicsFlowlogsPut

> datacentersServersNicsFlowlogsPut(datacenterId, serverId, nicId, flowlogId, flowlog, opts)

Modify Flow Logs

Modify the specified Flow Log record.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.FlowLogsApi(config);
// Modify Flow Logs
api_instance
  .datacentersServersNicsFlowlogsPut({
    datacenterId: datacenterId_example,
    serverId: serverId_example,
    nicId: nicId_example,
    flowlogId: flowlogId_example,
    flowlog: flowlog_example,
    pretty: true,
    depth: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name             | Type                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                         |
| ---------------- | -------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **datacenterId** | **string**                                         | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]       |
| **serverId**     | **string**                                         | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                                  | \[default to undefined]       |
| **nicId**        | **string**                                         | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                     | \[default to undefined]       |
| **flowlogId**    | **string**                                         | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]       |
| **flowlog**      | [**FlowLogPut**](/nodejs-sdk/models/flowlogput.md) | The modified Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                        |                               |
| **pretty**       | **boolean**                                        | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true] |
| **depth**        | **number**                                         | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]    |

### Return type

[**FlowLog**](/nodejs-sdk/models/flowlog.md)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/nodejs-sdk/api/flowlogsapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
